@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

.yw-processes {
    &-sidebar {
        z-index: $processes__sidebar--z-index;
        background-color: $processes__sidebar--bg-color;
        width: $processes__sidebar--width;
        max-width: $processes__sidebar-default--max-width;
        transition: $processes__sidebar--transition;
        position: fixed;
        height: 100%;
        top: 0;
        right: 0;
        
        @include _addSidebarBreakpoint($processes__sidebar-default--bp-m, $processes__sidebar-bp-m--max-width);
        @include _addSidebarBreakpoint($processes__sidebar-default--bp-s, $processes__sidebar-bp-s--max-width);

        &-disabled {
            transition: $processes__sidebar-disabled--transition;
            max-width: 0;
        }
    }
    &-autoclose {
        background-color: $processes__auto-close-layer--bg-color;
        transition: $processes__auto-close-layer--transition;
        position: fixed;
        left:0;
        top:0;
        width: 0;
        height: 100%;
        opacity: 0;

        &-active {
            z-index: $processes__auto-close-layer--z-index;
            transition: $processes__auto-close-layer-active--transition;
            opacity: $processes__auto-close-layer-active--opacity;
            width: 100%;
        }
    }
    &-menu-popup {
        overflow: visible;
        margin-top: $processes__sidbar-popup--margin-top;
    }
}